Skip to content
payrocdevelopers

List payment link sharing events

Browse API reference

GET/payment-links/{paymentLinkId}/sharing-eventslistPaymentLinkShareEvents

Use this method to return a paginated list of sharing events for a payment link. A sharing event occurs when a merchant shares a payment link with a customer.

To list the sharing events for a payment link, you need its paymentLinkId. Our gateway returned the paymentLinkId in the response of the Create Payment Link method.

Note: If you don't have the paymentLinkId, use our List Payment Links method to search for the payment link.

Use query parameters to filter the list of results that we return, for example, to search for links sent to a specific customer.

Our gateway returns the following information for each sharing event in the list:

  • Customer that the merchant sent the link to.
  • Date that the merchant sent the link.

Parameters

NameInTypeDescription
paymentLinkIdRequiredpathstring

Unique identifier that we assigned to the payment link.

recipientNamequerystring

Filter results by the customer's name.

recipientEmailquerystring

Filter results by the customer's email address.

beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a paginated list of sharing events for the payment link.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 15 of 17 fields
  • countintegerrequired
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMorebooleanrequired
    Indicates whether there is another page of results available.
  • limitintegerrequired
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of polymorphic objects that contain information about how the merchant shared a payment link.
    • emailobject
      Object that contains the information about a sharing event that the merchant sent by email.
      • dateTimestringdate-time
        Date and time that the merchant shared the link. Our gateway returns this value in the ISO 8601 format.
      • merchantCopyboolean
        Indicates if we send a copy of the email to the merchant. By default, we don't send a copy to the merchant.
      • messagestring
        Message that the merchant sends with the payment link.≤ 1024 chars
      • recipientsobject[]required
        Array that contains the recipients of the payment link.+2 more fields at deeper levels — see the full spec
      • sharingEventIdstring
        Unique identifier that we assigned to the sharing event.10–10 chars
      • sharingMethodstringrequired
        Method that the merchant uses to share the payment link.email

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer